using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using Datory;

namespace GxPress.Repository.Interface.WorkProcess
{
    public interface IProcessNodeRepository : IRepository
    {
        Task<IEnumerable<ProcessNode>> GetListAsync(int processId, int parentId);

        Task<int> InsertAsync(ProcessNode processNode);

        Task DeleteByProcessIdAsync(int processId);

         Task<IEnumerable<ProcessNode>> GetAllAsync(int processId);
    }
}